/*phenotype checking program*/
/*9-2-2000 (C) JH Zhao*/

dm 'clear log;clear out;';
data chr1 chr2 chr3 chr4 chr5 chr6 chr7 chr8 chr9 chr10 chr11 chr12 chr13 chr14 chr15 chr16 chr17 chr18 chr19 chr20 chr21 chr22 chrx;
  drop i;
  do i=1 to 23;
     select (i);
       when (1) infile 'pre/chr1.pre';
       when (2) infile 'pre/chr2.pre';
       when (3) infile 'pre/chr3.pre';
       when (4) infile 'pre/chr4.pre';
       when (5) infile 'pre/chr5.pre';
       when (6) infile 'pre/chr6.pre';
       when (7) infile 'pre/chr7.pre';
       when (8) infile 'pre/chr8.pre';
       when (9) infile 'pre/chr9.pre';
       when (10) infile 'pre/chr10.pre';
       when (11) infile 'pre/chr11.pre';
       when (12) infile 'pre/chr12.pre';
       when (13) infile 'pre/chr13.pre';
       when (14) infile 'pre/chr14.pre';
       when (15) infile 'pre/chr15.pre';
       when (16) infile 'pre/chr16.pre';
       when (17) infile 'pre/chr17.pre';
       when (18) infile 'pre/chr18.pre';
       when (19) infile 'pre/chr19.pre';
       when (20) infile 'pre/chr20.pre';
       when (21) infile 'pre/chr21.pre';
       when (22) infile 'pre/chr22.pre';
       when (23) infile 'pre/chrx.pre';
     end;
     input pedigree$ id mother father sex aff liab;
     select (i);
       when (1) output chr1;
       when (2) output chr2;
       when (3) output chr3;
       when (4) output chr4;
       when (5) output chr5;
       when (6) output chr6;
       when (7) output chr7;
       when (8) output chr8;
       when (9) output chr9;
       when (10) output chr10;
       when (11) output chr11;
       when (12) output chr12;
       when (13) output chr13;
       when (14) output chr14;
       when (15) output chr15;
       when (16) output chr16;
       when (17) output chr17;
       when (18) output chr18;
       when (19) output chr19;
       when (20) output chr20;
       when (21) output chr21;
       when (22) output chr22;
       when (23) output chrx;
     end;
  end;
run;

proc sort data=chr1 (drop=father mother rename=(sex=sex1 aff=aff1 liab=liab1));
  by pedigree id;
run;
proc sort data=chr2 (drop=father mother rename=(sex=sex2 aff=aff2 liab=liab2));
  by pedigree id;
run;
proc sort data=chr3 (drop=father mother rename=(sex=sex3 aff=aff3 liab=liab3));
  by pedigree id;
run;
proc sort data=chr4 (drop=father mother rename=(sex=sex4 aff=aff4 liab=liab4));
  by pedigree id;
run;
proc sort data=chr5 (drop=father mother rename=(sex=sex5 aff=aff5 liab=liab5));
  by pedigree id;
run;
proc sort data=chr6 (drop=father mother rename=(sex=sex6 aff=aff6 liab=liab6));
  by pedigree id;
run;
proc sort data=chr7 (drop=father mother rename=(sex=sex7 aff=aff7 liab=liab7));
  by pedigree id;
run;
proc sort data=chr8 (drop=father mother rename=(sex=sex8 aff=aff8 liab=liab8));
  by pedigree id;
run;
proc sort data=chr9 (drop=father mother rename=(sex=sex9 aff=aff9 liab=liab9));
  by pedigree id;
run;
proc sort data=chr10(drop=father mother rename=(sex=sex10 aff=aff10 liab=liab10));
  by pedigree id;
run;
proc sort data=chr11(drop=father mother rename=(sex=sex11 aff=aff11 liab=liab11));
  by pedigree id;
run;
proc sort data=chr12(drop=father mother rename=(sex=sex12 aff=aff12 liab=liab12));
  by pedigree id;
run;
proc sort data=chr13(drop=father mother rename=(sex=sex13 aff=aff13 liab=liab13));
  by pedigree id;
run;
proc sort data=chr14(drop=father mother rename=(sex=sex14 aff=aff14 liab=liab14));
  by pedigree id;
run;
proc sort data=chr15(drop=father mother rename=(sex=sex15 aff=aff15 liab=liab15));
  by pedigree id;
run;
proc sort data=chr16(drop=father mother rename=(sex=sex16 aff=aff16 liab=liab16));
  by pedigree id;
run;
proc sort data=chr17(drop=father mother rename=(sex=sex17 aff=aff17 liab=liab17));
  by pedigree id;
run;
proc sort data=chr18(drop=father mother rename=(sex=sex18 aff=aff18 liab=liab18));
  by pedigree id;
run;
proc sort data=chr19(drop=father mother rename=(sex=sex19 aff=aff19 liab=liab19));
  by pedigree id;
run;
proc sort data=chr20(drop=father mother rename=(sex=sex20 aff=aff20 liab=liab20));
  by pedigree id;
run;
proc sort data=chr21(drop=father mother rename=(sex=sex21 aff=aff21 liab=liab21));
  by pedigree id;
run;
proc sort data=chr22(drop=father mother rename=(sex=sex22 aff=aff22 liab=liab22));
  by pedigree id;
run;
proc sort data=chrx (drop=father mother rename=(sex=sex23 aff=aff23 liab=liab23));
  by pedigree id;
run;

data all;
  merge chr1 chr2 chr3 chr4 chr5 chr6 chr7 chr8 chr9 chr10 chr11 chr12 chr13 chr14 chr15 chr16 chr17 chr18 chr19 chr20 chr21 chr22 chrx;
  by pedigree id;
run;

proc print width=min;
  var sex1-sex23;
run;
proc print width=min;
  var aff1-aff23;
run;
proc print width=min;
  var liab1-liab23;
run;
